
Infrastructure - Bug #24079

centos7 kernel jobs are hitting JENKINS-37229

05/10/2018 01:17 PM - Ilya Dryomov

Status: New % Done: 0%

Priority: Normal   

Assignee: David Galloway   

Category:    

Target version:    

Source:  Reviewed:  

Tags:  Affected Versions:  

Backport:  ceph-qa-suite:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Description

https://jenkins.ceph.com/job/kernel/ARCH=x86_64,AVAILABLE_ARCH=x86_64,AVAILABLE_DIST=centos7,DIST=centos7,MACHIN

E_SIZE=huge/427/console

[EnvInject] - Loading node environment variables.

Building remotely on 172.21.1.40+slave-centos04 (sepia x86_64 huge centos7 amd64) in workspace /ho

me/jenkins-build/build/workspace/kernel/ARCH/x86_64/AVAILABLE_ARCH/x86_64/AVAILABLE_DIST/centos7/D

IST/centos7/MACHINE_SIZE/huge

Wiping out workspace first.

Cloning the remote Git repository

Using shallow clone

Avoid fetching tags

Cloning repository https://github.com/ceph/ceph-client.git

 > git init /home/jenkins-build/build/workspace/kernel/ARCH/x86_64/AVAILABLE_ARCH/x86_64/AVAILABLE

_DIST/centos7/DIST/centos7/MACHINE_SIZE/huge # timeout=10

Fetching upstream changes from https://github.com/ceph/ceph-client.git

 > git --version # timeout=10

 > git fetch --no-tags --progress https://github.com/ceph/ceph-client.git +refs/heads/*:refs/remot

es/origin/* --depth=1 # timeout=20

 > git config remote.origin.url https://github.com/ceph/ceph-client.git # timeout=10

 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10

 > git config remote.origin.url https://github.com/ceph/ceph-client.git # timeout=10

Fetching upstream changes from https://github.com/ceph/ceph-client.git

 > git fetch --no-tags --progress https://github.com/ceph/ceph-client.git +refs/heads/*:refs/remot

es/origin/* --depth=1 # timeout=20

ERROR: Error fetching remote repo 'origin'

hudson.plugins.git.GitException: Failed to fetch from https://github.com/ceph/ceph-client.git

    at hudson.plugins.git.GitSCM.fetchFrom(GitSCM.java:862)

    at hudson.plugins.git.GitSCM.retrieveChanges(GitSCM.java:1129)

    at hudson.plugins.git.GitSCM.checkout(GitSCM.java:1160)

    at hudson.scm.SCM.checkout(SCM.java:504)

    at hudson.model.AbstractProject.checkout(AbstractProject.java:1208)

    at hudson.model.AbstractBuild$AbstractBuildExecution.defaultCheckout(AbstractBuild.java:574)

    at jenkins.scm.SCMCheckoutStrategy.checkout(SCMCheckoutStrategy.java:86)

    at hudson.model.AbstractBuild$AbstractBuildExecution.run(AbstractBuild.java:499)

    at hudson.model.Run.execute(Run.java:1794)

    at hudson.matrix.MatrixRun.run(MatrixRun.java:153)

    at hudson.model.ResourceController.execute(ResourceController.java:97)

    at hudson.model.Executor.run(Executor.java:429)

Caused by: hudson.plugins.git.GitException: Command "git fetch --no-tags --progress https://github

.com/ceph/ceph-client.git +refs/heads/*:refs/remotes/origin/* --depth=1" returned status code 128:

stdout: 

stderr: fatal: git fetch-pack: expected shallow list
"git --version" on 172.21.1.40+slave-centos04 and a couple of others I have checked is 1.8.3.1.  Looks like 

https://issues.jenkins-ci.org/browse/JENKINS-37229 to me.

History

#1 - 05/10/2018 01:19 PM - Ilya Dryomov

- Priority changed from Normal to High

#2 - 05/21/2018 12:20 PM - Ilya Dryomov

- Priority changed from High to Normal

https://jenkins.ceph.com/job/kernel/ARCH=x86_64,AVAILABLE_ARCH=x86_64,AVAILABLE_DIST=centos7,DIST=centos7,MACHINE_SIZE=huge/4

31/ seems to have worked fine on 172.21.1.40+slave-centos04, even though git version is still 1.8.3.1.  Not sure what has changed.

#3 - 06/04/2018 08:24 PM - Ilya Dryomov

Here is another failed job, after about a couple of weeks without failures: 

https://jenkins.ceph.com/job/kernel/ARCH=x86_64,AVAILABLE_ARCH=x86_64,AVAILABLE_DIST=centos7,DIST=centos7,MACHINE_SIZE=huge/4

47/

#4 - 06/07/2018 09:10 PM - David Galloway

- Assignee set to David Galloway

Is the shallow clone required?  The first alternative I can think of for this is going to be to install a newer version of a git RPM from an untrusted source

which I'd like to avoid.

#5 - 06/08/2018 09:16 AM - Ilya Dryomov

Shallow clone was switched on to reduce fetch processing time because at some point it started to take too long -- see d3ec6e485cfa ("kernel: set git

clone/fetch timeout to 20 minutes") and 35beb188cbda ("kernel: use shallow clones") in ceph-build repo.

Re: git version, I'm not actually sure it is to blame here.  As noted in https://tracker.ceph.com/issues/24079#note-2, I saw jobs both pass and fail with

that trace on the same 172.21.1.40+slave-centos04 worker with the same git version, which makes me question if it is indeed a git CLI parsing bug.  I

might be misinterpreting jenkins logs and missing something about how we provision workers though.  Perhaps go though the failed jobs and see if

something catches your eye?

#6 - 08/10/2018 01:16 PM - Ilya Dryomov

It's back: 

https://jenkins.ceph.com/job/kernel/ARCH=x86_64,AVAILABLE_ARCH=x86_64,AVAILABLE_DIST=centos7,DIST=centos7,MACHINE_SIZE=huge/4

75/, 

https://jenkins.ceph.com/job/kernel/ARCH=x86_64,AVAILABLE_ARCH=x86_64,AVAILABLE_DIST=centos7,DIST=centos7,MACHINE_SIZE=huge/4

76/, 

https://jenkins.ceph.com/job/kernel/ARCH=x86_64,AVAILABLE_ARCH=x86_64,AVAILABLE_DIST=centos7,DIST=centos7,MACHINE_SIZE=huge/4

77/.

#7 - 02/27/2019 09:46 PM - Ilya Dryomov

https://jenkins.ceph.com/job/kernel/ARCH=x86_64,AVAILABLE_ARCH=x86_64,AVAILABLE_DIST=centos7,DIST=centos7,MACHINE_SIZE=huge/5

75/

https://jenkins.ceph.com/job/kernel/ARCH=x86_64,AVAILABLE_ARCH=x86_64,AVAILABLE_DIST=centos7,DIST=centos7,MACHINE_SIZE=huge/5
